org.richfaces.ui.output.popupPanel

## Class UIPopupPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.ui.output.popupPanel.AbstractPopupPanel
      - - org.richfaces.ui.output.popupPanel.UIPopupPanel

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, EventsPopupsBeforeProps, EventsPopupsProps, PopupsProps, StyleClassProps, StyleProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIPopupPanel
      extends AbstractPopupPanel
      implements javax.faces.component.behavior.ClientBehaviorHolder, EventsPopupsBeforeProps, EventsPopupsProps, PopupsProps, StyleClassProps, StyleProps

  The <r:popupPanel> component provides a pop-up panel or window that appears in front of the rest of the application. The <r:popupPanel> component functions either as a modal window which blocks interaction with the rest of the application while active, or as a non-modal window. It can be positioned on the screen, dragged to a new position by the user, and re-sized.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIPopupPanel.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIPopupPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getControlsClass()` Assigns one or more space-separated CSS class names to the component controls
    `String` | `getDefaultEventName()`
    `String` | `getDomElementAttachment()` Defines the DOM element, which stacking context will assimilate the popupPanel.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getHeader()` Assigns the header for the popupPanel.
    `String` | `getHeaderClass()` Assigns one or more space-separated CSS class names to the component header
    `int` | `getHeight()` Attribute defines height of component.
    `String` | `getLeft()` Attribute defines X position of component left-top corner.
    `int` | `getMaxHeight()` Attribute defines max height of component.
    `int` | `getMaxWidth()` Attribute defines max width of component.
    `int` | `getMinHeight()` Attribute defines min height of component.
    `int` | `getMinWidth()` Attribute defines min width of component.
    `String` | `getOnbeforehide()` The client-side code executed before the popup disappears.
    `String` | `getOnbeforeshow()` The client-side code executed before this component is shown.
    `String` | `getOnhide()` The client-side code executed after the popup disappears.
    `String` | `getOnmaskclick()` Javascript code executed when a pointer button is clicked over the popupPanel mask.
    `String` | `getOnmaskcontextmenu()` Javascript code executed when a pointer button for context menu is clicked over the popupPanel mask.
    `String` | `getOnmaskdblclick()` Javascript code executed when a pointer button is double clicked over the popupPanel mask.
    `String` | `getOnmaskmousedown()` Javascript code executed when a pointer button is pressed down over the popupPanel mask.
    `String` | `getOnmaskmousemove()` Javascript code executed when a pointer button is moved within the popupPanel mask.
    `String` | `getOnmaskmouseout()` Javascript code executed when a pointer button is moved away from the popupPanel mask.
    `String` | `getOnmaskmouseover()` Javascript code executed when a pointer button is moved onto the popupPanel mask.
    `String` | `getOnmaskmouseup()` Javascript code executed when a pointer button is released over the popupPanel mask.
    `String` | `getOnmove()` The client-side script method to be called before the modal panel is moved
    `String` | `getOnresize()` The client-side script method to be called when the modal panel is resized
    `String` | `getOnshow()` The client-side code executed after the popup is shown.
    `String` | `getShadowDepth()` Pop-up shadow depth for suggestion content
    `String` | `getShadowOpacity()` HTML CSS class attribute of element for pop-up suggestion content
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTop()` Attribute defines Y position of component left-top corner.
    `String` | `getVisualOptions()` Defines options that were specified on the client side
    `int` | `getWidth()` Attribute defines width of component.
    `int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content.
    `boolean` | `isAutosized()` If "true" popupPanel will be auto-sized according to the content.
    `boolean` | `isFollowByScroll()` Defines whenever the popup will follow the scrolling of the screen.
    `boolean` | `isKeepVisualState()` If "true" popupPanel should save state after submission.
    `boolean` | `isModal()` If "true", popupPanel will be modal - it will block the main screen from any operation.
    `boolean` | `isMoveable()` If "true" there is possibility to move component.
    `boolean` | `isOverlapEmbedObjects()` If "true" popupPanel creates iframe to overlap embed objects like PDF on a page.
    `boolean` | `isResizeable()` If "true" there is possibility to change component size.
    `boolean` | `isShow()` If "true" value for this attribute makes a modal panel opened as default.
    `boolean` | `isTrimOverlayedElements()` Defines whether to trim or not elements inside popupPanel.
    `void` | `setAutosized(boolean autosized)`
    `void` | `setControlsClass(String controlsClass)`
    `void` | `setDomElementAttachment(String domElementAttachment)`
    `void` | `setFollowByScroll(boolean followByScroll)`
    `void` | `setHeader(String header)`
    `void` | `setHeaderClass(String headerClass)`
    `void` | `setHeight(int height)`
    `void` | `setKeepVisualState(boolean keepVisualState)`
    `void` | `setLeft(String left)`
    `void` | `setMaxHeight(int maxHeight)`
    `void` | `setMaxWidth(int maxWidth)`
    `void` | `setMinHeight(int minHeight)`
    `void` | `setMinWidth(int minWidth)`
    `void` | `setModal(boolean modal)`
    `void` | `setMoveable(boolean moveable)`
    `void` | `setOnbeforehide(String onbeforehide)`
    `void` | `setOnbeforeshow(String onbeforeshow)`
    `void` | `setOnhide(String onhide)`
    `void` | `setOnmaskclick(String onmaskclick)`
    `void` | `setOnmaskcontextmenu(String onmaskcontextmenu)`
    `void` | `setOnmaskdblclick(String onmaskdblclick)`
    `void` | `setOnmaskmousedown(String onmaskmousedown)`
    `void` | `setOnmaskmousemove(String onmaskmousemove)`
    `void` | `setOnmaskmouseout(String onmaskmouseout)`
    `void` | `setOnmaskmouseover(String onmaskmouseover)`
    `void` | `setOnmaskmouseup(String onmaskmouseup)`
    `void` | `setOnmove(String onmove)`
    `void` | `setOnresize(String onresize)`
    `void` | `setOnshow(String onshow)`
    `void` | `setOverlapEmbedObjects(boolean overlapEmbedObjects)`
    `void` | `setResizeable(boolean resizeable)`
    `void` | `setShadowDepth(String shadowDepth)`
    `void` | `setShadowOpacity(String shadowOpacity)`
    `void` | `setShow(boolean show)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTop(String top)`
    `void` | `setTrimOverlayedElements(boolean trimOverlayedElements)`
    `void` | `setVisualOptions(String visualOptions)`
    `void` | `setWidth(int width)`
    `void` | `setZindex(int zindex)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIPopupPanel

          public UIPopupPanel()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractPopupPanel`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### isAutosized

          public boolean isAutosized()

      Description copied from class: `AbstractPopupPanel`
      If "true" popupPanel will be auto-sized according to the content. Default value is "false".
      Specified by:
        `isAutosized` in class `AbstractPopupPanel`

    - #### setAutosized

          public void setAutosized(boolean autosized)

    - #### getControlsClass

          public String getControlsClass()

      Description copied from class: `AbstractPopupPanel`
      Assigns one or more space-separated CSS class names to the component controls
      Specified by:
        `getControlsClass` in class `AbstractPopupPanel`

    - #### setControlsClass

          public void setControlsClass(String controlsClass)

    - #### getDomElementAttachment

          public String getDomElementAttachment()

      Description copied from class: `AbstractPopupPanel`
      Defines the DOM element, which stacking context will assimilate the popupPanel. Possible values: "body", "form", "parent". Default value is "body".
      Specified by:
        `getDomElementAttachment` in class `AbstractPopupPanel`

    - #### setDomElementAttachment

          public void setDomElementAttachment(String domElementAttachment)

    - #### isFollowByScroll

          public boolean isFollowByScroll()

      Description copied from class: `AbstractPopupPanel`
      Defines whenever the popup will follow the scrolling of the screen. Default value is "true".
      Specified by:
        `isFollowByScroll` in class `AbstractPopupPanel`

    - #### setFollowByScroll

          public void setFollowByScroll(boolean followByScroll)

    - #### getHeader

          public String getHeader()

      Description copied from class: `AbstractPopupPanel`
      Assigns the header for the popupPanel.
      Specified by:
        `getHeader` in class `AbstractPopupPanel`

    - #### setHeader

          public void setHeader(String header)

    - #### getHeaderClass

          public String getHeaderClass()

      Description copied from class: `AbstractPopupPanel`
      Assigns one or more space-separated CSS class names to the component header
      Specified by:
        `getHeaderClass` in class `AbstractPopupPanel`

    - #### setHeaderClass

          public void setHeaderClass(String headerClass)

    - #### getHeight

          public int getHeight()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines height of component. Default value is "300".
      Specified by:
        `getHeight` in class `AbstractPopupPanel`

    - #### setHeight

          public void setHeight(int height)

    - #### isKeepVisualState

          public boolean isKeepVisualState()

      Description copied from class: `AbstractPopupPanel`
      If "true" popupPanel should save state after submission. Default value is "false".
      Specified by:
        `isKeepVisualState` in class `AbstractPopupPanel`

    - #### setKeepVisualState

          public void setKeepVisualState(boolean keepVisualState)

    - #### getLeft

          public String getLeft()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines X position of component left-top corner. Default value is "auto".
      Specified by:
        `getLeft` in class `AbstractPopupPanel`

    - #### setLeft

          public void setLeft(String left)

    - #### getMaxHeight

          public int getMaxHeight()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines max height of component.
      Specified by:
        `getMaxHeight` in class `AbstractPopupPanel`

    - #### setMaxHeight

          public void setMaxHeight(int maxHeight)

    - #### getMaxWidth

          public int getMaxWidth()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines max width of component.
      Specified by:
        `getMaxWidth` in class `AbstractPopupPanel`

    - #### setMaxWidth

          public void setMaxWidth(int maxWidth)

    - #### getMinHeight

          public int getMinHeight()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines min height of component. Default value is "10". If the value is less then 10, a "IllegalArgumentException" exception is thrown.
      Specified by:
        `getMinHeight` in class `AbstractPopupPanel`

    - #### setMinHeight

          public void setMinHeight(int minHeight)

    - #### getMinWidth

          public int getMinWidth()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines min width of component. Default value is "10". If the value is less then 10, a "IllegalArgumentException" exception is thrown.
      Specified by:
        `getMinWidth` in class `AbstractPopupPanel`

    - #### setMinWidth

          public void setMinWidth(int minWidth)

    - #### isModal

          public boolean isModal()

      Description copied from class: `AbstractPopupPanel`
      If "true", popupPanel will be modal - it will block the main screen from any operation.
      Specified by:
        `isModal` in class `AbstractPopupPanel`

    - #### setModal

          public void setModal(boolean modal)

    - #### isMoveable

          public boolean isMoveable()

      Description copied from class: `AbstractPopupPanel`
      If "true" there is possibility to move component. Default value is "true".
      Specified by:
        `isMoveable` in class `AbstractPopupPanel`

    - #### setMoveable

          public void setMoveable(boolean moveable)

    - #### getOnbeforehide

          public String getOnbeforehide()

      Description copied from interface: `EventsPopupsBeforeProps`
      The client-side code executed before the popup disappears.
      Specified by:
        `getOnbeforehide` in interface `EventsPopupsBeforeProps`
      Specified by:
        `getOnbeforehide` in class `AbstractPopupPanel`

    - #### setOnbeforehide

          public void setOnbeforehide(String onbeforehide)

    - #### getOnbeforeshow

          public String getOnbeforeshow()

      Description copied from interface: `EventsPopupsBeforeProps`
      The client-side code executed before this component is shown.
      Specified by:
        `getOnbeforeshow` in interface `EventsPopupsBeforeProps`
      Specified by:
        `getOnbeforeshow` in class `AbstractPopupPanel`

    - #### setOnbeforeshow

          public void setOnbeforeshow(String onbeforeshow)

    - #### getOnhide

          public String getOnhide()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup disappears.
      Specified by:
        `getOnhide` in interface `EventsPopupsProps`
      Specified by:
        `getOnhide` in class `AbstractPopupPanel`

    - #### setOnhide

          public void setOnhide(String onhide)

    - #### getOnmaskclick

          public String getOnmaskclick()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is clicked over the popupPanel mask.
      Specified by:
        `getOnmaskclick` in class `AbstractPopupPanel`

    - #### setOnmaskclick

          public void setOnmaskclick(String onmaskclick)

    - #### getOnmaskcontextmenu

          public String getOnmaskcontextmenu()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button for context menu is clicked over the popupPanel mask.
      Specified by:
        `getOnmaskcontextmenu` in class `AbstractPopupPanel`

    - #### setOnmaskcontextmenu

          public void setOnmaskcontextmenu(String onmaskcontextmenu)

    - #### getOnmaskdblclick

          public String getOnmaskdblclick()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is double clicked over the popupPanel mask.
      Specified by:
        `getOnmaskdblclick` in class `AbstractPopupPanel`

    - #### setOnmaskdblclick

          public void setOnmaskdblclick(String onmaskdblclick)

    - #### getOnmaskmousedown

          public String getOnmaskmousedown()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is pressed down over the popupPanel mask.
      Specified by:
        `getOnmaskmousedown` in class `AbstractPopupPanel`

    - #### setOnmaskmousedown

          public void setOnmaskmousedown(String onmaskmousedown)

    - #### getOnmaskmousemove

          public String getOnmaskmousemove()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is moved within the popupPanel mask.
      Specified by:
        `getOnmaskmousemove` in class `AbstractPopupPanel`

    - #### setOnmaskmousemove

          public void setOnmaskmousemove(String onmaskmousemove)

    - #### getOnmaskmouseout

          public String getOnmaskmouseout()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is moved away from the popupPanel mask.
      Specified by:
        `getOnmaskmouseout` in class `AbstractPopupPanel`

    - #### setOnmaskmouseout

          public void setOnmaskmouseout(String onmaskmouseout)

    - #### getOnmaskmouseover

          public String getOnmaskmouseover()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is moved onto the popupPanel mask.
      Specified by:
        `getOnmaskmouseover` in class `AbstractPopupPanel`

    - #### setOnmaskmouseover

          public void setOnmaskmouseover(String onmaskmouseover)

    - #### getOnmaskmouseup

          public String getOnmaskmouseup()

      Description copied from class: `AbstractPopupPanel`
      Javascript code executed when a pointer button is released over the popupPanel mask.
      Specified by:
        `getOnmaskmouseup` in class `AbstractPopupPanel`

    - #### setOnmaskmouseup

          public void setOnmaskmouseup(String onmaskmouseup)

    - #### getOnmove

          public String getOnmove()

      Description copied from class: `AbstractPopupPanel`
      The client-side script method to be called before the modal panel is moved
      Specified by:
        `getOnmove` in class `AbstractPopupPanel`

    - #### setOnmove

          public void setOnmove(String onmove)

    - #### getOnresize

          public String getOnresize()

      Description copied from class: `AbstractPopupPanel`
      The client-side script method to be called when the modal panel is resized
      Specified by:
        `getOnresize` in class `AbstractPopupPanel`

    - #### setOnresize

          public void setOnresize(String onresize)

    - #### getOnshow

          public String getOnshow()

      Description copied from interface: `EventsPopupsProps`
      The client-side code executed after the popup is shown.
      Specified by:
        `getOnshow` in interface `EventsPopupsProps`
      Specified by:
        `getOnshow` in class `AbstractPopupPanel`

    - #### setOnshow

          public void setOnshow(String onshow)

    - #### isOverlapEmbedObjects

          public boolean isOverlapEmbedObjects()

      Description copied from class: `AbstractPopupPanel`
      If "true" popupPanel creates iframe to overlap embed objects like PDF on a page. Default value is "false".
      Specified by:
        `isOverlapEmbedObjects` in class `AbstractPopupPanel`

    - #### setOverlapEmbedObjects

          public void setOverlapEmbedObjects(boolean overlapEmbedObjects)

    - #### isResizeable

          public boolean isResizeable()

      Description copied from class: `AbstractPopupPanel`
      If "true" there is possibility to change component size. Default value is "true".
      Specified by:
        `isResizeable` in class `AbstractPopupPanel`

    - #### setResizeable

          public void setResizeable(boolean resizeable)

    - #### getShadowDepth

          public String getShadowDepth()

      Description copied from class: `AbstractPopupPanel`
      Pop-up shadow depth for suggestion content
      Specified by:
        `getShadowDepth` in class `AbstractPopupPanel`

    - #### setShadowDepth

          public void setShadowDepth(String shadowDepth)

    - #### getShadowOpacity

          public String getShadowOpacity()

      Description copied from class: `AbstractPopupPanel`
      HTML CSS class attribute of element for pop-up suggestion content
      Specified by:
        `getShadowOpacity` in class `AbstractPopupPanel`

    - #### setShadowOpacity

          public void setShadowOpacity(String shadowOpacity)

    - #### isShow

          public boolean isShow()

      Description copied from class: `AbstractPopupPanel`
      If "true" value for this attribute makes a modal panel opened as default. Default value is "false"
      Specified by:
        `isShow` in class `AbstractPopupPanel`

    - #### setShow

          public void setShow(boolean show)

      Specified by:
        `setShow` in class `AbstractPopupPanel`

    - #### getStyle

          public String getStyle()

      Description copied from interface: `StyleProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `StyleProps`
      Specified by:
        `getStyle` in class `AbstractPopupPanel`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `StyleClassProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `StyleClassProps`
      Specified by:
        `getStyleClass` in class `AbstractPopupPanel`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTop

          public String getTop()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines Y position of component left-top corner. Default value is "auto".
      Specified by:
        `getTop` in class `AbstractPopupPanel`

    - #### setTop

          public void setTop(String top)

    - #### isTrimOverlayedElements

          public boolean isTrimOverlayedElements()

      Description copied from class: `AbstractPopupPanel`
      Defines whether to trim or not elements inside popupPanel. Default value is "true"
      Specified by:
        `isTrimOverlayedElements` in class `AbstractPopupPanel`

    - #### setTrimOverlayedElements

          public void setTrimOverlayedElements(boolean trimOverlayedElements)

    - #### getVisualOptions

          public String getVisualOptions()

      Description copied from class: `AbstractPopupPanel`
      Defines options that were specified on the client side
      Specified by:
        `getVisualOptions` in class `AbstractPopupPanel`

    - #### setVisualOptions

          public void setVisualOptions(String visualOptions)

    - #### getWidth

          public int getWidth()

      Description copied from class: `AbstractPopupPanel`
      Attribute defines width of component. Default value is "200".
      Specified by:
        `getWidth` in class `AbstractPopupPanel`

    - #### setWidth

          public void setWidth(int width)

    - #### getZindex

          public int getZindex()

      Description copied from interface: `PopupsProps`
      Attribute is similar to the standard HTML attribute and can specify window placement relative to the content. Default value is "3".
      Specified by:
        `getZindex` in interface `PopupsProps`
      Specified by:
        `getZindex` in class `AbstractPopupPanel`

    - #### setZindex

          public void setZindex(int zindex)

Copyright © 2014 JBoss by Red Hat. All rights reserved.